echo off
net session >nul 2>&1
if %ERRORLEVEL% EQU 0 (
  echo Installing templates...
) else (
  echo *************************************
  echo **** Please run as administrator ****
  echo *************************************
  echo Aborting...
  pause
  exit /b 1
)  

cd /D "%~dp0"

call:tryInstall "10.0"  REM Visual Studio 2010
call:tryInstall "12.0"  REM Visual Studio 2013
call:tryInstall "14.0"  REM Visual Studio 2015

echo.& call:done & pause & goto :eof

:tryInstall
call:setupVS "Microsoft Visual Studio %~1"
if %result% EQU 1 (
  echo on
  echo Installing for Visual Studio %~1
  call:install
  echo off
) else (
  echo Could not find Visual Studio %~1
)
goto :eof

:setupVS
set "result=0"
if defined ProgramFiles(x86) (
  if exist "%ProgramFiles(x86)%\%~1\VC\vcvarsall.bat" (
    set "result=1"
	call "%ProgramFiles(x86)%\%~1\VC\vcvarsall.bat"
  )
) else (
  if exist "%ProgramFiles%\%~1\VC\vcvarsall.bat" (
    set "result=1"
    call "%ProgramFiles%\%~1\VC\vcvarsall.bat"
  )
)
goto :eof

:install
copy SystemWeaver.ExtensionModuleWPF.zip "%VSINSTALLDIR%\Common7\IDE\ProjectTemplates\CSharp"
copy SystemWeaver.ItemView.zip "%VSINSTALLDIR%\Common7\IDE\ItemTemplates\CSharp" 
copy SystemWeaver.ItemCommand.zip "%VSINSTALLDIR%\Common7\IDE\ItemTemplates\CSharp" 
copy SystemWeaver.AttributePopupEditor.zip "%VSINSTALLDIR%\Common7\IDE\ItemTemplates\CSharp" 
copy SystemWeaver.MultiInstanceItemView.zip "%VSINSTALLDIR%\Common7\IDE\ItemTemplates\CSharp" 
devenv /InstallVSTemplates
goto :eof

:done
echo Finished
goto :eof
