using System;
using System.ComponentModel;
using RemObjects.Hydra;
using SystemWeaver.ExtensionsAPI;
using SystemWeaver.ExtensionsAPI.PluginInterfaces;

namespace $rootnamespace$
{
	[Plugin, NonVisualPlugin]
	public partial class $safeitemrootname$ : NonVisualPlugin, IswMultiInstanceItemView
	{	
        public static IswMultiInstanceItemViewHost ViewHost { get; private set; }
        
		public $safeitemrootname$()
		{
			InitializeComponent();
		}

		public $safeitemrootname$(IContainer container)
		{
			container.Add(this);

			InitializeComponent();
		}

        public void Init(IswMultiInstanceItemViewHost host)
        {
            ViewHost = host;
        }

        public string GetCaption()
        {
            return "$safeitemrootname$";
        }

        public string GetName()
        {
            return typeof($safeitemrootname$Content).FullName;
        }

        public string GetPluginContentName()
        {
            return typeof($safeitemrootname$Content).FullName;
        }
        
        public Guid GetGUID()
        {
            return Guid.Parse("$guid1$");
        }

        public string GetConfigXMLExample()
        {
            string documentTagName = GetDocumentElementTagName();
            string configTagName = GetConfigElementTagName();

            return 
$@"<{documentTagName}>
    <{configTagName} id=""1"">
        <ViewSettings>
            <Caption>$safeitemrootname$ Config 1</Caption>
            <RibbonGroup>Extensions</RibbonGroup>
            <Description>An extension.</Description>
            <Image guiImage=""31""/>
        </ViewSettings>
    </{configTagName}>
    <{configTagName} id=""2"">
        <ViewSettings>
            <Caption>$safeitemrootname$ Config 2</Caption>
            <RibbonGroup>Extensions</RibbonGroup>
            <Description>An extension.</Description>
            <Image guiImage=""31""/>
        </ViewSettings>
    </{configTagName}>
</{documentTagName}>";
        }

        public string GetDocumentElementTagName()
        {
            return "$safeitemrootname$Configs";
        }

        public string GetConfigElementTagName()
        {
            return "$safeitemrootname$Config";
        }

        public bool SupportsItem(IswItem item, IswViewConfig viewConfig)
        {
            return item.IsSID("I");
        }

        public IswViewConfig ParseAndGetConfig(string xml)
        {
            //TODO: Parse the XML and return a config object
            return null;
        }
    }
}
